// Imports
@use "variables" as var;

// Actual styling
:host {
  position: relative;
}

#account-menu-trigger {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  padding: 8px 0;
  width: 56px;
  height: 48px;

  @media (min-width: var.$breakpoint-desktop) {
    padding: 8px 16px;
    width: 84px;
  }

  span.fr-icon-account-circle-fill {
    color: var(--text-action-high-blue-france);

    &:before {
      width: 32px;
      height: 32px;
    }
  }
}

#account-menu-mobile {
  overflow: hidden;

  @media (min-width: var.$breakpoint-desktop) {
    display: none;
  }
}

#account-menu {
  background-color: white;
  overflow: hidden;

  @media (min-width: var.$breakpoint-desktop) {
    min-width: 229px;
    border-top: 1px solid var(--background-open-blue-france);
    box-shadow: 0 4px 12px var(--shadow-color);
  }

  ul {
    padding: 0 38px;
    margin: 0;
    width: 100%;

    @media (min-width: var.$breakpoint-desktop) {
      padding: 0;
    }

    li {
      padding: 0 16px;
      list-style: none;
      text-align: left;

      &:first-child a,
      &:last-child a {
        border-bottom: 1px solid var(--background-default-grey-hover);
      }

      a {
        text-decoration: none;
        display: block;
        padding: 12px 0;
        color: var(--text-action-high-grey);
        cursor: pointer;
        font-size: 14px;
        line-height: 24px;

        @media (min-width: var.$breakpoint-desktop) {
          border-bottom: 1px solid var(--background-default-grey-hover);
        }

        p {
          margin-bottom: 0;
        }

        p:nth-child(1) {
          font-size: 12px;
          line-height: 20px;
          color: var(--text-mention-grey);
        }

        p.account-email {
          margin-bottom: 0;
          font-weight: 700;
          font-size: 14px;
          line-height: 24px;
          color: var(--text-action-high-grey);
        }
      }

      &:hover {
        background-color: var(--background-default-grey-hover);
      }
    }
  }
}
